summaryrefslogtreecommitdiff
path: root/sys-fs/lxcfs/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-04-10 17:26:49 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-04-10 17:26:49 +0100
commit6957f5c65b02bba533954eabc0b62f5de36be206 (patch)
tree21d8ab8f61dffd9cccc82d0badb68982516a6855 /sys-fs/lxcfs/files
parente91a1aaa5ec8fab37f0fd082ac6024d41c6651e2 (diff)
gentoo resync : 10.04.2018
Diffstat (limited to 'sys-fs/lxcfs/files')
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.0-fusermount-path.patch11
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.0.initd26
2 files changed, 37 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.0-fusermount-path.patch b/sys-fs/lxcfs/files/lxcfs-3.0.0-fusermount-path.patch
new file mode 100644
index 000000000000..61d3494fb7f3
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.0-fusermount-path.patch
@@ -0,0 +1,11 @@
+--- /config/init/systemd/lxcfs.service.orig 2016-07-11 01:18:57.688074437 +0000
++++ /config/init/systemd/lxcfs.service 2016-07-11 01:19:48.516477185 +0000
+@@ -7,7 +7,7 @@
+ ExecStart=/usr/bin/lxcfs /var/lib/lxcfs/
+ KillMode=process
+ Restart=on-failure
+-ExecStopPost=-/bin/fusermount -u /var/lib/lxcfs
++ExecStopPost=-/usr/bin/fusermount -u /var/lib/lxcfs
+ Delegate=yes
+
+ [Install]
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.0.initd b/sys-fs/lxcfs/files/lxcfs-3.0.0.initd
new file mode 100644
index 000000000000..a34e74af7b69
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.0.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -f -o allow_other /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}